Obtener reserva por ID
curl --request GET \
--url https://{tenantDomain}/api/v1/reservation/{reservation} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v1/reservation/{reservation}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v1/reservation/{reservation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/api/v1/reservation/{reservation}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v1/reservation/{reservation}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenantDomain}/api/v1/reservation/{reservation}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/api/v1/reservation/{reservation}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"status": "<string>",
"deposit_amount": "<string>",
"deposit_payment_method": "<string>",
"deposit_payment_currency": "<string>",
"deposit_payment_date": "<string>",
"deposit_receipt": "<string>",
"seller_fee": "<string>",
"stock": "<string>",
"accreditation": "<string>",
"erp": "<string>",
"calculation": "<string>",
"owners": "<string>",
"deposit": "<string>",
"buying_offer": "<string>",
"buying_offer_file": "<string>",
"bill_of_sale": "<string>",
"bill_of_sale_file": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"sale_estimation": {
"id": "<string>",
"type": "<string>",
"status": "<string>",
"reserved_at": "<string>",
"expiration_date": "<string>",
"lead_channel": {
"id": "<string>",
"name": "<string>"
},
"lead": {
"id": "<string>",
"status": "<string>",
"profile": {
"full_name": "<string>",
"email": "<string>",
"phone": "<string>"
}
},
"units": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}Reservation
Obtener reserva por ID
Devuelve el detalle completo de una reserva específica.
Requiere el permiso sale-estimation.viewAny.
GET
/
reservation
/
{reservation}
Obtener reserva por ID
curl --request GET \
--url https://{tenantDomain}/api/v1/reservation/{reservation} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v1/reservation/{reservation}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v1/reservation/{reservation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/api/v1/reservation/{reservation}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v1/reservation/{reservation}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenantDomain}/api/v1/reservation/{reservation}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/api/v1/reservation/{reservation}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"status": "<string>",
"deposit_amount": "<string>",
"deposit_payment_method": "<string>",
"deposit_payment_currency": "<string>",
"deposit_payment_date": "<string>",
"deposit_receipt": "<string>",
"seller_fee": "<string>",
"stock": "<string>",
"accreditation": "<string>",
"erp": "<string>",
"calculation": "<string>",
"owners": "<string>",
"deposit": "<string>",
"buying_offer": "<string>",
"buying_offer_file": "<string>",
"bill_of_sale": "<string>",
"bill_of_sale_file": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"sale_estimation": {
"id": "<string>",
"type": "<string>",
"status": "<string>",
"reserved_at": "<string>",
"expiration_date": "<string>",
"lead_channel": {
"id": "<string>",
"name": "<string>"
},
"lead": {
"id": "<string>",
"status": "<string>",
"profile": {
"full_name": "<string>",
"email": "<string>",
"phone": "<string>"
}
},
"units": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}